<template>
<div id="table" class="app-container calendar-list-container">
	    <!-- 查询和其他操作 -->
	    <div class="filter-container" style="margin: 10px 0 10px 0;">
        <el-form :inline="true" label-width="68px" style="margin-bottom: 8px;">
          <el-col :span="22">
            <el-form-item label="时间" label-width="100px">
              <el-date-picker
                v-model="queryParams.beginCreateTime"
                class="baseInput"
                type="date"
                placeholder="请选择"
                format="yyyy-MM-dd HH:mm:ss"
                value-format="yyyy-MM-dd HH:mm:ss"
              />
              -
              <el-date-picker
                v-model="queryParams.endCreateTime"
                class="baseInput"
                type="date"
                placeholder="请选择"
                format="yyyy-MM-dd HH:mm:ss"
                value-format="yyyy-MM-dd HH:mm:ss"
              />
            </el-form-item>
            <el-form-item label="用户ID">
              <el-input clearable class="filter-item" style="width: 200px;" v-model="queryParams.userId" placeholder="用户ID"></el-input>
            </el-form-item>
            <el-form-item label="名字">
              <el-input clearable class="filter-item" style="width: 200px;" v-model="queryParams.receiveName" placeholder="名字"></el-input>
            </el-form-item>
            <!--<el-button class="filter-item" type="primary" icon="el-icon-search" @click="handleFind" v-permission="'/girlSort/getList'">查找</el-button>-->
            <el-button class="filter-item" type="primary" icon="el-icon-search" @click="handleFind">查找</el-button>
            <el-button class="filter-item" type="primary" icon="el-icon-excel" @click="exportData">导出Excel</el-button>
          </el-col>
        </el-form>
	    </div>

    <el-table :data="tableData" style="width:100%" >
      <el-table-column label="id" width="200" align="center">
        <template slot-scope="scope">
          <span>{{ scope.row.uid }}</span>
        </template>
      </el-table-column>
      <el-table-column label="用户id" width="100" align="center">
        <template slot-scope="scope">
          <span>{{ scope.row.userId }}</span>
        </template>
      </el-table-column>
      <el-table-column label="名字" width="200" align="center">
        <template slot-scope="scope">
          <span>{{ scope.row.receiveName }}</span>
        </template>
      </el-table-column>
	    <el-table-column label="联系方式" width="260" align="center">
	      <template slot-scope="scope">
	        <span>{{ scope.row.receiveNumber }}</span>
	      </template>
	    </el-table-column>
	    <el-table-column label="地址" width="400" align="center">
	      <template slot-scope="scope">
	        <span>{{ scope.row.receiveAddress }}</span>
	      </template>
	    </el-table-column>
      <el-table-column label="提交时间" width="260" align="center">
        <template slot-scope="scope">
          <span>{{ scope.row.createTime }}</span>
        </template>
      </el-table-column>
	  </el-table>

		<!--分页-->
    <div class="block">
        <el-pagination
          @size-change="handleSizeChange"
          @current-change="handleCurrentChange"
          :current-page.sync="currentPage"
          :page-sizes="[10,40, 80, 120, 200]"
          :page-size="pageSize"
          layout="total, prev, pager, next, jumper, sizes"
          :total="total">
        </el-pagination>
    </div>
  </div>
</template>

<script>
import {
  getGirlGiftList,
} from "@/api/girlGift";

import {
  export_json_to_excel
} from "@/vendor/Export2Excel";

export default {
  created() {
    this.girlGiftList();h
  },
  data() {
    return {
      queryParams:{
        userId:"",
        receiveName: "",
        beginCreateTime: "", //创建时间搜索
        endCreateTime: "",
      },
      currentPage: 1,
      total: null,
      pageSize: 10,
      tableData: [],
    };
  },
  methods: {
    girlGiftList: function() {
      let params = {};
      if (this.projectUid){
        this.form.projectUid = this.projectUid;
      }
      params.userId = this.queryParams.userId
      params.receiveName = this.queryParams.receiveName
      params.beginCreateTime = this.queryParams.beginCreateTime;
      params.endCreateTime = this.queryParams.endCreateTime;
      params.pageSize =  this.pageSize
      params.currentPage = this.currentPage
      getGirlGiftList(params).then(response => {
        this.tableData = response.data.records;
        this.currentPage = response.data.current;
        this.pageSize = response.data.size;
        this.total = response.data.total;
      });
    },
    // 导出excel数据
    exportData() {
      // 表头对应关系
      const headers = {
        'id': 'uid',
        '用户ID': 'userId',
        '名字': 'receiveName',
        '联系方式': 'receiveNumber',
        '地址': 'receiveAddress',
        '提交时间': 'createTime',
      }

      this.queryParams.currentPage = 1;
      this.queryParams.pageSize = 10000;
      getGirlGiftList(this.queryParams).then(response => {
        const data = this.formatJson(headers, response.data.records)  // list是你的数据源，可以自己重新处理数据内容和类型
        export_json_to_excel(Object.keys(headers), data, '用户收礼信息记录')
      });
    },
    // 该方法负责将数组转化成二维数组
    formatJson(headers, rows) {
      // 首先遍历数组
      return rows.map(item => {
        return Object.keys(headers).map(key => {
          return item[headers[key]]
        })
      })
    },


    // 内容改变，触发监听
    tagContentChange: function() {
      // this.form.tagUid = this.tagValue.join(",");
    },
    projectContentChange: function() {
      // this.form.projectUid = this.projectValue;
    },

    handleFind: function() {
      this.currentPage = 1
      this.girlGiftList();
    },
    /**
     * 翻页事件
     */
    handleSizeChange(val) {
      this.pageSize = val;
      this.girlGiftList();
    },
    //改变页码
    handleCurrentChange(val) {
      this.currentPage = val;
      this.girlGiftList();
    },


  }
};
</script>
<style scoped>
.cover-icon {
 position: absolute;
 /*top: 40px;*/
 left: 80px;
 z-index: 100;
 color: aliceblue;
 background-color: #9d0006;
}
.avatar-uploader .el-upload {
  border: 1px dashed #d9d9d9;
  border-radius: 6px;
  margin: 0, 0, 0, 10px;
  cursor: pointer;
  position: relative;
  overflow: hidden;
}
.avatar-uploader .el-upload:hover {
  border-color: #409eff;
}
.avatar-uploader-icon {
  font-size: 28px;
  color: #8c939d;
  width: 100px;
  height: 100px;
  line-height: 100px;
  text-align: center;
  border: 1px dashed #c0ccda;
  border-radius: 8px;
}
.inputClass {
  position: absolute;
}
.imgBody {
  width: 100px;
  height: 100px;
  border: solid 2px #ffffff;
  float: left;
  position: relative;
}
.uploadImgBody {
  margin-left: 5px;
  width: 100px;
  height: 100px;
  border: dashed 1px #c0c0c0;
  float: left;
  position: relative;
}
.uploadImgBody :hover {
  border: dashed 1px #00ccff;
}
.inputClass {
  position: absolute;
}
.show_table {
  background-color: #dde;
  width: 100%;
  height: 100%;
  overflow: auto;
  position: relative;
}
.scroll {
  width: 100%;
  height: calc(100vh - 131px);
  overflow: hidden;
  overflow-y: auto;
}
.showimg {
  width: 357px;
  height: 467px;
  background-color: royalblue;

}
.video-js {
  width: 400px;
  height: 467px;
}
</style>
